#include <iostream>
#include <unordered_map>
#include <cmath>
#include <vector>
#include <map>
#include <algorithm>
#include <string>
#include <queue>
#include <fstream>
#include <random>
#include <stack>

using namespace std;


int main() {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    std::cout.tie(NULL);

    /*int t;
    std::cin >> t;
    for (int iter = 0; iter < t; iter++) {
        long long l, r, k;
        std::cin >> l >> r >> k;
        
        long long p = r / k;
        long long res = (p - l + 1);
        if (res < 0) res = 0;
        std::cout << res << std::endl;
        
    }*/

    long long n, l;
    std::cin >> n >> l;
    for (int i = 0; i < n; i++) {
        long long h;
        std::cin >> h;
        if (h <= l) {
            std::cout << i+1 << std::endl;
            return 0;
        }

    }
    std::cout << -1 << std::endl;
    return 0;
}